<!DOCTYPE html><html lang="zh-CN" data-theme="light"><head><meta charset="UTF-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width,initial-scale=1"><title>Maven+Jenkins+Gitlab自动化部署 | SeMaik</title><meta name="author" content="ZuSir"><meta name="copyright" content="ZuSir"><meta name="format-detection" content="telephone=no"><meta name="theme-color" content="#ffffff"><meta name="description" content="Jenkins：Jenkins是一个开源软件项目，是基于java开发的一种持续集成工具，用于监控持续重复的工作，旨在提高一个开放易用的软件平台 功能介绍：1.一个自动化的周期性集成测试过程，从检出代码，编译建构，运行测试，结果记录，测试统计等都是自动化完成的，无需人工干预，有利于减少重复过程以节省时间，费用和工作量2.它需要有代码托管工具支持，比如SVN git&#x2F;gitlab&#x2F;github3.监控">
<meta property="og:type" content="article">
<meta property="og:title" content="Maven+Jenkins+Gitlab自动化部署">
<meta property="og:url" content="http://example.com/2021/02/24/Jenkins/index.html">
<meta property="og:site_name" content="SeMaik">
<meta property="og:description" content="Jenkins：Jenkins是一个开源软件项目，是基于java开发的一种持续集成工具，用于监控持续重复的工作，旨在提高一个开放易用的软件平台 功能介绍：1.一个自动化的周期性集成测试过程，从检出代码，编译建构，运行测试，结果记录，测试统计等都是自动化完成的，无需人工干预，有利于减少重复过程以节省时间，费用和工作量2.它需要有代码托管工具支持，比如SVN git&#x2F;gitlab&#x2F;github3.监控">
<meta property="og:locale" content="zh_CN">
<meta property="og:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg">
<meta property="article:published_time" content="2021-02-24T01:37:00.000Z">
<meta property="article:modified_time" content="2021-02-24T03:04:48.000Z">
<meta property="article:author" content="ZuSir">
<meta name="twitter:card" content="summary">
<meta name="twitter:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg"><link rel="shortcut icon" href="https://myit.icu/favicon.ico"><link rel="canonical" href="http://example.com/2021/02/24/Jenkins/"><link rel="preconnect" href="//cdn.jsdelivr.net"/><link rel="preconnect" href="//busuanzi.ibruce.info"/><link rel="stylesheet" href="/css/index.css"><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free/css/all.min.css" media="print" onload="this.media='all'"><script>const GLOBAL_CONFIG = { 
  root: '/',
  algolia: undefined,
  localSearch: undefined,
  translate: undefined,
  noticeOutdate: undefined,
  highlight: {"plugin":"highlighjs","highlightCopy":true,"highlightLang":true},
  copy: {
    success: '复制成功',
    error: '复制错误',
    noSupport: '浏览器不支持'
  },
  relativeDate: {
    homepage: true,
    post: false
  },
  runtime: '',
  date_suffix: {
    just: '刚刚',
    min: '分钟前',
    hour: '小时前',
    day: '天前',
    month: '个月前'
  },
  copyright: undefined,
  lightbox: 'fancybox',
  Snackbar: undefined,
  source: {
    jQuery: 'https://cdn.jsdelivr.net/npm/jquery@latest/dist/jquery.min.js',
    justifiedGallery: {
      js: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/js/jquery.justifiedGallery.min.js',
      css: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/css/justifiedGallery.min.css'
    },
    fancybox: {
      js: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.js',
      css: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.css'
    }
  },
  isPhotoFigcaption: false,
  islazyload: false,
  isanchor: false
}</script><script id="config-diff">var GLOBAL_CONFIG_SITE = { 
  isPost: true,
  isHome: false,
  isHighlightShrink: undefined,
  isToc: true,
  postUpdate: '2021-02-24 11:04:48'
}</script><noscript><style type="text/css">
  #nav {
    opacity: 1
  }
  .justified-gallery img {
    opacity: 1
  }

  #recent-posts time,
  #post-meta time {
    display: inline !important
  }
</style></noscript><script>(win=>{
    win.saveToLocal = {
      set: function setWithExpiry(key, value, ttl) {
        if (ttl === 0) return
        const now = new Date()
        const expiryDay = ttl * 86400000
        const item = {
          value: value,
          expiry: now.getTime() + expiryDay,
        }
        localStorage.setItem(key, JSON.stringify(item))
      },

      get: function getWithExpiry(key) {
        const itemStr = localStorage.getItem(key)

        if (!itemStr) {
          return undefined
        }
        const item = JSON.parse(itemStr)
        const now = new Date()

        if (now.getTime() > item.expiry) {
          localStorage.removeItem(key)
          return undefined
        }
        return item.value
      }
    }
  
    win.getScript = url => new Promise((resolve, reject) => {
      const script = document.createElement('script')
      script.src = url
      script.async = true
      script.onerror = reject
      script.onload = script.onreadystatechange = function() {
        const loadState = this.readyState
        if (loadState && loadState !== 'loaded' && loadState !== 'complete') return
        script.onload = script.onreadystatechange = null
        resolve()
      }
      document.head.appendChild(script)
    })
  
      const asideStatus = saveToLocal.get('aside-status')
      if (asideStatus !== undefined) {
        if (asideStatus === 'hide') {
          document.documentElement.classList.add('hide-aside')
        } else {
          document.documentElement.classList.remove('hide-aside')
        }
      }
    })(window)</script><link href="/css/style.css"><meta name="generator" content="Hexo 5.3.0"><link rel="alternate" href="/atom.xml" title="SeMaik" type="application/atom+xml">
</head><body><div id="web_bg"></div><div id="sidebar"><div id="menu-mask"></div><div id="sidebar-menus"><div class="author-avatar"><img class="avatar-img" src="/img/123.jpeg" onerror="onerror=null;src='/img/123.jpeg'" alt="avatar"/></div><div class="site-data"><div class="data-item is-center"><div class="data-item-link"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div></div><div class="data-item is-center"><div class="data-item-link"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><hr/><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div></div></div><div class="post" id="body-wrap"><header class="post-bg" id="page-header" style="background-image: url('https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg')"><nav id="nav"><span id="blog_name"><a id="site-name" href="/">SeMaik</a></span><div id="menus"><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div><div id="toggle-menu"><a class="site-page"><i class="fas fa-bars fa-fw"></i></a></div></div></nav><div id="post-info"><h1 class="post-title">Maven+Jenkins+Gitlab自动化部署</h1><div id="post-meta"><div class="meta-firstline"><span class="post-meta-date"><i class="far fa-calendar-alt fa-fw post-meta-icon"></i><span class="post-meta-label">发表于</span><time class="post-meta-date-created" datetime="2021-02-24T01:37:00.000Z" title="发表于 2021-02-24 09:37:00">2021-02-24</time><span class="post-meta-separator">|</span><i class="fas fa-history fa-fw post-meta-icon"></i><span class="post-meta-label">更新于</span><time class="post-meta-date-updated" datetime="2021-02-24T03:04:48.000Z" title="更新于 2021-02-24 11:04:48">2021-02-24</time></span><span class="post-meta-categories"><span class="post-meta-separator">|</span><i class="fas fa-inbox fa-fw post-meta-icon"></i><a class="post-meta-categories" href="/categories/Jenkins/">Jenkins</a></span></div><div class="meta-secondline"><span class="post-meta-separator">|</span><span class="post-meta-pv-cv"><i class="far fa-eye fa-fw post-meta-icon"></i><span class="post-meta-label">阅读量:</span><span id="busuanzi_value_page_pv"></span></span></div></div></div></header><main class="layout" id="content-inner"><div id="post"><article class="post-content" id="article-container"><p>Jenkins：Jenkins是一个开源软件项目，是基于java开发的一种持续集成工具，用于监控持续重复的工作，旨在提高一个开放易用的软件平台</p>
<p>功能介绍：<br>1.一个自动化的周期性集成测试过程，从检出代码，编译建构，运行测试，结果记录，测试统计等都是自动化完成的，无需人工干预，有利于减少重复过程以节省时间，费用和工作量<br>2.它需要有代码托管工具支持，比如SVN git/gitlab/github<br>3.监控软件开发流程，快速显示问题</p>
<p>持续集成（continuous integration）：简称CI，是指开发阶段，对项目进行持续性自动化编译，测试，已达到监制代码质量的手段，持续集成是一种软件开发实践</p>
<p>为什么要持续集成？<br>1.易于定位错误。也就是当持续集成失败了，说明新加的代码或者修改的代码引起了错误<br>2.更加充分地测试系统中的各个单元<br>3.有助于项目的开发数据的收集<br>4.便于开发流程的管理。要把一个开发的build提交给测试组做测试，测完满意了，在提交到发布者去发布</p>
<h1 id="服务器信息"><a href="#服务器信息" class="headerlink" title="服务器信息"></a>服务器信息</h1><table>
<thead>
<tr>
<th align="center">IP</th>
<th align="center">角色</th>
</tr>
</thead>
<tbody><tr>
<td align="center">1.1.1.1</td>
<td align="center">maven+jenkins</td>
</tr>
<tr>
<td align="center">1.1.1.2</td>
<td align="center">git+gitlab</td>
</tr>
</tbody></table>
<h2 id="部署git-gitlab"><a href="#部署git-gitlab" class="headerlink" title="部署git+gitlab"></a>部署git+gitlab</h2><p>略……</p>
<h3 id="创建用户"><a href="#创建用户" class="headerlink" title="创建用户"></a>创建用户</h3><p><img src="/images/pasted-110.png" alt="upload successful"><br><img src="/images/pasted-111.png" alt="upload successful"></p>
<p><img src="/images/pasted-112.png" alt="upload successful"></p>
<p><img src="/images/pasted-113.png" alt="upload successful"></p>
<h3 id="创建组"><a href="#创建组" class="headerlink" title="创建组"></a>创建组</h3><p><img src="/images/pasted-114.png" alt="upload successful"></p>
<p><img src="/images/pasted-115.png" alt="upload successful"></p>
<p><img src="/images/pasted-116.png" alt="upload successful"></p>
<h3 id="用户加入组"><a href="#用户加入组" class="headerlink" title="用户加入组"></a>用户加入组</h3><p><img src="/images/pasted-117.png" alt="upload successful"></p>
<p><img src="/images/pasted-118.png" alt="upload successful"></p>
<h3 id="创建仓库"><a href="#创建仓库" class="headerlink" title="创建仓库"></a>创建仓库</h3><p><img src="/images/pasted-119.png" alt="upload successful"></p>
<p><img src="/images/pasted-155.png" alt="upload successful"></p>
<h3 id="本机生产密钥"><a href="#本机生产密钥" class="headerlink" title="本机生产密钥"></a>本机生产密钥</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br></pre></td><td class="code"><pre><span class="line">ssh-keygen -C &quot;lisi@qq.com&quot;</span><br><span class="line">查看公钥并复制</span><br><span class="line">cat &#x2F;root&#x2F;.ssh&#x2F;id_rsa.pub</span><br><span class="line">ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDWapfOvV8nac9g4VKwkqtxccpAQpEvNoAE5lE4awgqstYhPULWONv8LuRVmwv5iqG9Hft0u9povHWLJo40T04qwKt4AD01zchNMwrkAFkVUV0K9Rb021s7kMHZaxOMoeZRnnfSytqM5HBluu&#x2F;42GDv9u5hC0F9mfAcB5iePexmKx2xVrE4Rl&#x2F;RuupqpIVtgx2bT3X&#x2F;1idLBB5XjFjqN5ZCn5MX5duiUQz1OrO&#x2F;F0W95i47mSeCNGbHcwyVVdMJ7ua4sjVsIIg5abAaEj5782jzSJ0&#x2F;nk3mexv9DGi34RO2C&#x2F;81DienDM5UumC9EMVEax4eo2Y6MaEjJeU8Rh3Tpvy3 lisi@qq.com</span><br></pre></td></tr></table></figure>
<h3 id="打开web平台"><a href="#打开web平台" class="headerlink" title="打开web平台"></a>打开web平台</h3><p><img src="/images/pasted-156.png" alt="upload successful"></p>
<p><img src="/images/pasted-157.png" alt="upload successful"></p>
<p><img src="/images/pasted-158.png" alt="upload successful"></p>
<h3 id="复制仓库的URL"><a href="#复制仓库的URL" class="headerlink" title="复制仓库的URL"></a>复制仓库的URL</h3><p><img src="/images/pasted-159.png" alt="upload successful"></p>
<h3 id="克隆远程仓库"><a href="#克隆远程仓库" class="headerlink" title="克隆远程仓库"></a>克隆远程仓库</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br></pre></td><td class="code"><pre><span class="line">cd &#x2F;</span><br><span class="line">git clone git@1.1.1.2:yunwei&#x2F;kgc.git</span><br></pre></td></tr></table></figure>
<h3 id="解压kgcweb的tar包"><a href="#解压kgcweb的tar包" class="headerlink" title="解压kgcweb的tar包"></a>解压kgcweb的tar包</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br></pre></td><td class="code"><pre><span class="line">tar zxf kgcweb.tar.gz</span><br><span class="line">cd kgcweb&#x2F;</span><br><span class="line">mv &#x2F;kgcweb&#x2F;* &#x2F;kgc&#x2F;</span><br></pre></td></tr></table></figure>
<h3 id="进入本地目录-kgc"><a href="#进入本地目录-kgc" class="headerlink" title="进入本地目录/kgc"></a>进入本地目录/kgc</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br></pre></td><td class="code"><pre><span class="line">对移动来的目录和文件上传到本地仓库</span><br><span class="line">git add pom.xml</span><br><span class="line">git add src&#x2F;</span><br><span class="line">git commit -m &quot;test1&quot;</span><br></pre></td></tr></table></figure>
<h3 id="将本地仓库中的数据发布到远程仓库的主分支中"><a href="#将本地仓库中的数据发布到远程仓库的主分支中" class="headerlink" title="将本地仓库中的数据发布到远程仓库的主分支中"></a>将本地仓库中的数据发布到远程仓库的主分支中</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">git push origin master</span><br></pre></td></tr></table></figure>
<h3 id="验证去远程kgc仓库中查看"><a href="#验证去远程kgc仓库中查看" class="headerlink" title="验证去远程kgc仓库中查看"></a>验证去远程kgc仓库中查看</h3><p><img src="/images/pasted-160.png" alt="upload successful"></p>
<h2 id="部署maven-jenkins"><a href="#部署maven-jenkins" class="headerlink" title="部署maven+jenkins"></a>部署maven+jenkins</h2><h3 id="部署maven"><a href="#部署maven" class="headerlink" title="部署maven"></a>部署maven</h3><p>略……</p>
<h3 id="部署jenkins"><a href="#部署jenkins" class="headerlink" title="部署jenkins"></a>部署jenkins</h3><h4 id="使用rpm工具安装jenkins"><a href="#使用rpm工具安装jenkins" class="headerlink" title="使用rpm工具安装jenkins"></a>使用rpm工具安装jenkins</h4><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">rpm -ivh jenkins-2.199-1.1.noarch.rpm</span><br></pre></td></tr></table></figure>
<h4 id="启动服务"><a href="#启动服务" class="headerlink" title="启动服务"></a>启动服务</h4><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br></pre></td><td class="code"><pre><span class="line">systemctl restart jenkins</span><br><span class="line">netstat -lnpt | grep 8080</span><br></pre></td></tr></table></figure>
<blockquote>
<p>访问<code>1.1.1.1:80080</code></p>
</blockquote>
<p><img src="/images/pasted-161.png" alt="upload successful"></p>
<h4 id="查看管理员密码，并输入到页面中继续"><a href="#查看管理员密码，并输入到页面中继续" class="headerlink" title="查看管理员密码，并输入到页面中继续"></a>查看管理员密码，并输入到页面中继续</h4><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">cat &#x2F;var&#x2F;lib&#x2F;jenkins&#x2F;secrets&#x2F;initialAdminPassword</span><br></pre></td></tr></table></figure>
<p>进入另一个页面，点击安装推荐的插件（如果网络不好的话就点击第二个选择插件）</p>
<p><img src="/images/pasted-162.png" alt="upload successful"><br>安装完以后</p>
<p><img src="/images/pasted-163.png" alt="upload successful"></p>
<p><img src="/images/pasted-164.png" alt="upload successful"></p>
<p>进行插件管理</p>
<p><img src="/images/pasted-165.png" alt="upload successful"></p>
<p>安装额外以下五个 插件<br>Maven Integration：jenkins安装该插件之后可以部署maven项目<br>GitLab：提供UI显示Jenkins工作状态<br>Gitlab Authentication：用来做访问gitlab的认证<br>Gitlab Hook：运行gitlab设置Hook来通知Jenkins代码更新<br>Build Authorization Token Root：支持通过Token做身份验证</p>
<h4 id="修改maven的配置文件"><a href="#修改maven的配置文件" class="headerlink" title="修改maven的配置文件"></a>修改maven的配置文件</h4><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br></pre></td><td class="code"><pre><span class="line">vi &#x2F;usr&#x2F;local&#x2F;maven&#x2F;conf&#x2F;settings.xml	</span><br><span class="line">  &lt;mirrors&gt;		</span><br><span class="line">    &lt;mirror&gt;		</span><br><span class="line">      &lt;id&gt;aliyun&lt;&#x2F;id&gt;</span><br><span class="line">      &lt;mirrorOf&gt;*&lt;&#x2F;mirrorOf&gt;	</span><br><span class="line">      &lt;name&gt;image aliyun&lt;&#x2F;name&gt;	</span><br><span class="line">      &lt;url&gt;https:&#x2F;&#x2F;maven.aliyun.com&#x2F;repository&#x2F;public&lt;&#x2F;url&gt;	</span><br><span class="line">    &lt;&#x2F;mirror&gt;</span><br><span class="line">  &lt;&#x2F;mirrors&gt;</span><br></pre></td></tr></table></figure>
<h4 id="配置全局工具"><a href="#配置全局工具" class="headerlink" title="配置全局工具"></a>配置全局工具</h4><p><img src="/images/pasted-166.png" alt="upload successful"><br>指定maven主配文件路径</p>
<p><img src="/images/pasted-167.png" alt="upload successful"><br>Jdk取消自动安装才会出现java_home</p>
<p><img src="/images/pasted-168.png" alt="upload successful"></p>
<p><img src="/images/pasted-169.png" alt="upload successful"></p>
<p><img src="/images/pasted-170.png" alt="upload successful"></p>
<p>建一个maven项目</p>
<p><img src="/images/pasted-171.png" alt="upload successful"></p>
<p><img src="/images/pasted-172.png" alt="upload successful"></p>
<p><img src="/images/pasted-173.png" alt="upload successful"></p>
<p><img src="/images/pasted-174.png" alt="upload successful"></p>
<h3 id="去gitlab节点操作"><a href="#去gitlab节点操作" class="headerlink" title="去gitlab节点操作"></a>去gitlab节点操作</h3><h4 id="查看私钥值"><a href="#查看私钥值" class="headerlink" title="查看私钥值"></a>查看私钥值</h4><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">cat &#x2F;root&#x2F;.ssh&#x2F;id_rsa</span><br></pre></td></tr></table></figure>
<p><img src="/images/pasted-175.png" alt="upload successful"></p>
<p><img src="/images/pasted-176.png" alt="upload successful"></p>
<h4 id="Gitlab节点生成token值："><a href="#Gitlab节点生成token值：" class="headerlink" title="Gitlab节点生成token值："></a>Gitlab节点生成token值：</h4><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">openssl rand -hex 10</span><br></pre></td></tr></table></figure>
<p><img src="/images/pasted-177.png" alt="upload successful"></p>
<p><img src="/images/pasted-178.png" alt="upload successful"></p>
<p><img src="/images/pasted-179.png" alt="upload successful"></p>
<p><img src="/images/pasted-180.png" alt="upload successful"></p>
<p><img src="/images/pasted-181.png" alt="upload successful"></p>
<p><img src="/images/pasted-182.png" alt="upload successful"></p>
<h3 id="去gitlab节点操作-1"><a href="#去gitlab节点操作-1" class="headerlink" title="去gitlab节点操作"></a>去gitlab节点操作</h3><p><img src="/images/pasted-183.png" alt="upload successful"></p>
<p><img src="/images/pasted-184.png" alt="upload successful"></p>
<p><img src="/images/pasted-185.png" alt="upload successful"></p>
<p><img src="/images/pasted-186.png" alt="upload successful"></p>
<p><img src="/images/pasted-187.png" alt="upload successful"><br>配置URL及token值</p>
<p><img src="/images/pasted-188.png" alt="upload successful"></p>
<blockquote>
<p>Job=jenkins项目名字<br>tonken=jenkins本机生成的Tonken</p>
</blockquote>
<p><img src="/images/pasted-189.png" alt="upload successful"><br>测试</p>
<p><img src="/images/pasted-190.png" alt="upload successful"></p>
<p><img src="/images/pasted-191.png" alt="upload successful"></p>
<blockquote>
<p>201代表成功！！！</p>
</blockquote>
<p><img src="/images/pasted-192.png" alt="upload successful"></p>
<p><img src="/images/pasted-193.png" alt="upload successful"></p>
<p><img src="/images/pasted-194.png" alt="upload successful"></p>
<p><img src="/images/pasted-195.png" alt="upload successful"><br>添加访问gitlab所使用的token<br>去jenkins首页–&gt;manage jenkins–&gt;configura system–&gt;在这个配置页面中的最下面找到gitlab相关配置</p>
<p><img src="/images/pasted-196.png" alt="upload successful"><br>在gitlab中生成给Jenkins拉取代码使用的token</p>
<p><img src="/images/pasted-197.png" alt="upload successful"></p>
<p><img src="/images/pasted-199.png" alt="upload successful"></p>
<p><img src="/images/pasted-200.png" alt="upload successful"></p>
<h3 id="在gitlab的kgc仓库中提交新文件验证"><a href="#在gitlab的kgc仓库中提交新文件验证" class="headerlink" title="在gitlab的kgc仓库中提交新文件验证"></a>在gitlab的kgc仓库中提交新文件验证</h3><p>上传文件验证</p>
<figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br></pre></td><td class="code"><pre><span class="line">touch aa</span><br><span class="line">git add aa</span><br><span class="line">git commit -m &quot;maven test&quot;</span><br><span class="line">git push origin master</span><br></pre></td></tr></table></figure>
<h3 id="在Jenkins主机查看"><a href="#在Jenkins主机查看" class="headerlink" title="在Jenkins主机查看"></a>在Jenkins主机查看</h3><p>刷新等待</p>
<p><img src="/images/pasted-201.png" alt="upload successful"></p>
<p><img src="/images/pasted-202.png" alt="upload successful"></p>
<p><img src="/images/pasted-203.png" alt="upload successful"><br>然后查看一下这个文件</p>
<figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">cat &#x2F;tmp&#x2F;success.txt</span><br></pre></td></tr></table></figure></article><div class="post-copyright"><div class="post-copyright__author"><span class="post-copyright-meta">文章作者: </span><span class="post-copyright-info"><a href="mailto:undefined">ZuSir</a></span></div><div class="post-copyright__type"><span class="post-copyright-meta">文章链接: </span><span class="post-copyright-info"><a href="http://example.com/2021/02/24/Jenkins/">http://example.com/2021/02/24/Jenkins/</a></span></div><div class="post-copyright__notice"><span class="post-copyright-meta">版权声明: </span><span class="post-copyright-info">本博客所有文章除特别声明外，均采用 <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/" target="_blank">CC BY-NC-SA 4.0</a> 许可协议。转载请注明来自 <a href="http://example.com" target="_blank">SeMaik</a>！</span></div></div><div class="tag_share"><div class="post-meta__tag-list"></div><div class="post_share"><div class="social-share" data-image="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" data-sites="facebook,twitter,wechat,weibo,qq"></div><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/social-share.js/dist/css/share.min.css" media="print" onload="this.media='all'"><script src="https://cdn.jsdelivr.net/npm/social-share.js/dist/js/social-share.min.js" defer></script></div></div><nav class="pagination-post" id="pagination"><div class="prev-post pull-left"><a href="/2021/02/24/Spring/"><img class="prev-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of previous post"><div class="pagination-info"><div class="label">上一篇</div><div class="prev_info">Spring</div></div></a></div><div class="next-post pull-right"><a href="/2021/02/23/Nexus/"><img class="next-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of next post"><div class="pagination-info"><div class="label">下一篇</div><div class="next_info">Nexus私有仓库</div></div></a></div></nav></div><div class="aside-content" id="aside-content"><div class="card-widget card-info"><div class="card-info-avatar is-center"><img class="avatar-img" src="/img/123.jpeg" onerror="this.onerror=null;this.src='/img/123.jpeg'" alt="avatar"/><div class="author-info__name">ZuSir</div><div class="author-info__description">一个收藏回忆与分享技术的地方!</div></div><div class="card-info-data"><div class="card-info-data-item is-center"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div><div class="card-info-data-item is-center"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><div class="card-widget card-announcement"><div class="item-headline"><i class="fas fa-bullhorn card-announcement-animation"></i><span>公告</span></div><div class="announcement_content">This is my Blog! <img src="https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=3894415926,2787041726&fm=26&gp=0.jpg"></div></div><div class="sticky_layout"><div class="card-widget" id="card-toc"><div class="item-headline"><i class="fas fa-stream"></i><span>目录</span></div><div class="toc-content"><ol class="toc"><li class="toc-item toc-level-1"><a class="toc-link" href="#%E6%9C%8D%E5%8A%A1%E5%99%A8%E4%BF%A1%E6%81%AF"><span class="toc-number">1.</span> <span class="toc-text">服务器信息</span></a><ol class="toc-child"><li class="toc-item toc-level-2"><a class="toc-link" href="#%E9%83%A8%E7%BD%B2git-gitlab"><span class="toc-number">1.1.</span> <span class="toc-text">部署git+gitlab</span></a><ol class="toc-child"><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%88%9B%E5%BB%BA%E7%94%A8%E6%88%B7"><span class="toc-number">1.1.1.</span> <span class="toc-text">创建用户</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%88%9B%E5%BB%BA%E7%BB%84"><span class="toc-number">1.1.2.</span> <span class="toc-text">创建组</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E7%94%A8%E6%88%B7%E5%8A%A0%E5%85%A5%E7%BB%84"><span class="toc-number">1.1.3.</span> <span class="toc-text">用户加入组</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%88%9B%E5%BB%BA%E4%BB%93%E5%BA%93"><span class="toc-number">1.1.4.</span> <span class="toc-text">创建仓库</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E6%9C%AC%E6%9C%BA%E7%94%9F%E4%BA%A7%E5%AF%86%E9%92%A5"><span class="toc-number">1.1.5.</span> <span class="toc-text">本机生产密钥</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E6%89%93%E5%BC%80web%E5%B9%B3%E5%8F%B0"><span class="toc-number">1.1.6.</span> <span class="toc-text">打开web平台</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%A4%8D%E5%88%B6%E4%BB%93%E5%BA%93%E7%9A%84URL"><span class="toc-number">1.1.7.</span> <span class="toc-text">复制仓库的URL</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%85%8B%E9%9A%86%E8%BF%9C%E7%A8%8B%E4%BB%93%E5%BA%93"><span class="toc-number">1.1.8.</span> <span class="toc-text">克隆远程仓库</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E8%A7%A3%E5%8E%8Bkgcweb%E7%9A%84tar%E5%8C%85"><span class="toc-number">1.1.9.</span> <span class="toc-text">解压kgcweb的tar包</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E8%BF%9B%E5%85%A5%E6%9C%AC%E5%9C%B0%E7%9B%AE%E5%BD%95-kgc"><span class="toc-number">1.1.10.</span> <span class="toc-text">进入本地目录&#x2F;kgc</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%B0%86%E6%9C%AC%E5%9C%B0%E4%BB%93%E5%BA%93%E4%B8%AD%E7%9A%84%E6%95%B0%E6%8D%AE%E5%8F%91%E5%B8%83%E5%88%B0%E8%BF%9C%E7%A8%8B%E4%BB%93%E5%BA%93%E7%9A%84%E4%B8%BB%E5%88%86%E6%94%AF%E4%B8%AD"><span class="toc-number">1.1.11.</span> <span class="toc-text">将本地仓库中的数据发布到远程仓库的主分支中</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E9%AA%8C%E8%AF%81%E5%8E%BB%E8%BF%9C%E7%A8%8Bkgc%E4%BB%93%E5%BA%93%E4%B8%AD%E6%9F%A5%E7%9C%8B"><span class="toc-number">1.1.12.</span> <span class="toc-text">验证去远程kgc仓库中查看</span></a></li></ol></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E9%83%A8%E7%BD%B2maven-jenkins"><span class="toc-number">1.2.</span> <span class="toc-text">部署maven+jenkins</span></a><ol class="toc-child"><li class="toc-item toc-level-3"><a class="toc-link" href="#%E9%83%A8%E7%BD%B2maven"><span class="toc-number">1.2.1.</span> <span class="toc-text">部署maven</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E9%83%A8%E7%BD%B2jenkins"><span class="toc-number">1.2.2.</span> <span class="toc-text">部署jenkins</span></a><ol class="toc-child"><li class="toc-item toc-level-4"><a class="toc-link" href="#%E4%BD%BF%E7%94%A8rpm%E5%B7%A5%E5%85%B7%E5%AE%89%E8%A3%85jenkins"><span class="toc-number">1.2.2.1.</span> <span class="toc-text">使用rpm工具安装jenkins</span></a></li><li class="toc-item toc-level-4"><a class="toc-link" href="#%E5%90%AF%E5%8A%A8%E6%9C%8D%E5%8A%A1"><span class="toc-number">1.2.2.2.</span> <span class="toc-text">启动服务</span></a></li><li class="toc-item toc-level-4"><a class="toc-link" href="#%E6%9F%A5%E7%9C%8B%E7%AE%A1%E7%90%86%E5%91%98%E5%AF%86%E7%A0%81%EF%BC%8C%E5%B9%B6%E8%BE%93%E5%85%A5%E5%88%B0%E9%A1%B5%E9%9D%A2%E4%B8%AD%E7%BB%A7%E7%BB%AD"><span class="toc-number">1.2.2.3.</span> <span class="toc-text">查看管理员密码，并输入到页面中继续</span></a></li><li class="toc-item toc-level-4"><a class="toc-link" href="#%E4%BF%AE%E6%94%B9maven%E7%9A%84%E9%85%8D%E7%BD%AE%E6%96%87%E4%BB%B6"><span class="toc-number">1.2.2.4.</span> <span class="toc-text">修改maven的配置文件</span></a></li><li class="toc-item toc-level-4"><a class="toc-link" href="#%E9%85%8D%E7%BD%AE%E5%85%A8%E5%B1%80%E5%B7%A5%E5%85%B7"><span class="toc-number">1.2.2.5.</span> <span class="toc-text">配置全局工具</span></a></li></ol></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%8E%BBgitlab%E8%8A%82%E7%82%B9%E6%93%8D%E4%BD%9C"><span class="toc-number">1.2.3.</span> <span class="toc-text">去gitlab节点操作</span></a><ol class="toc-child"><li class="toc-item toc-level-4"><a class="toc-link" href="#%E6%9F%A5%E7%9C%8B%E7%A7%81%E9%92%A5%E5%80%BC"><span class="toc-number">1.2.3.1.</span> <span class="toc-text">查看私钥值</span></a></li><li class="toc-item toc-level-4"><a class="toc-link" href="#Gitlab%E8%8A%82%E7%82%B9%E7%94%9F%E6%88%90token%E5%80%BC%EF%BC%9A"><span class="toc-number">1.2.3.2.</span> <span class="toc-text">Gitlab节点生成token值：</span></a></li></ol></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%8E%BBgitlab%E8%8A%82%E7%82%B9%E6%93%8D%E4%BD%9C-1"><span class="toc-number">1.2.4.</span> <span class="toc-text">去gitlab节点操作</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%9C%A8gitlab%E7%9A%84kgc%E4%BB%93%E5%BA%93%E4%B8%AD%E6%8F%90%E4%BA%A4%E6%96%B0%E6%96%87%E4%BB%B6%E9%AA%8C%E8%AF%81"><span class="toc-number">1.2.5.</span> <span class="toc-text">在gitlab的kgc仓库中提交新文件验证</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%9C%A8Jenkins%E4%B8%BB%E6%9C%BA%E6%9F%A5%E7%9C%8B"><span class="toc-number">1.2.6.</span> <span class="toc-text">在Jenkins主机查看</span></a></li></ol></li></ol></li></ol></div></div><div class="card-widget card-recent-post"><div class="item-headline"><i class="fas fa-history"></i><span>最新文章</span></div><div class="aside-list"><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Zabbix-Server5-0/" title="Shell程序——部署Zabbix-ServerV5.0">Shell程序——部署Zabbix-ServerV5.0</a><time datetime="2022-02-17T03:32:00.000Z" title="发表于 2022-02-17 11:32:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Harbor/" title="Shell程序——部署Harbor">Shell程序——部署Harbor</a><time datetime="2022-02-17T03:31:00.000Z" title="发表于 2022-02-17 11:31:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94Mysql%E5%A4%87%E4%BB%BD/" title="Shell程序——Mysql备份">Shell程序——Mysql备份</a><time datetime="2022-02-17T03:30:00.000Z" title="发表于 2022-02-17 11:30:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E6%89%B9%E9%87%8F%E4%BF%9D%E5%AD%98Docker-image/" title="Shell程序——批量保存Docker_image">Shell程序——批量保存Docker_image</a><time datetime="2022-02-17T03:29:00.000Z" title="发表于 2022-02-17 11:29:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E5%85%A8%E6%AE%B5IP%E6%89%AB%E6%8F%8F/" title="Shell程序——全段IP扫描">Shell程序——全段IP扫描</a><time datetime="2022-02-17T03:28:00.000Z" title="发表于 2022-02-17 11:28:00">2022-02-17</time></div></div></div></div></div></div></main><footer id="footer"><div id="footer-wrap"><div class="copyright">&copy;2020 - 2022 By ZuSir</div><div class="framework-info"><span>框架 </span><a target="_blank" rel="noopener" href="https://hexo.io">Hexo</a><span class="footer-separator">|</span><span>主题 </span><a target="_blank" rel="noopener" href="https://github.com/jerryc127/hexo-theme-butterfly">Butterfly</a></div></div></footer></div><div id="rightside"><div id="rightside-config-hide"><button id="readmode" type="button" title="阅读模式"><i class="fas fa-book-open"></i></button><button id="hide-aside-btn" type="button" title="单栏和双栏切换"><i class="fas fa-arrows-alt-h"></i></button></div><div id="rightside-config-show"><button id="rightside_config" type="button" title="设置"><i class="fas fa-cog fa-spin"></i></button><button class="close" id="mobile-toc-button" type="button" title="目录"><i class="fas fa-list-ul"></i></button><button id="go-up" type="button" title="回到顶部"><i class="fas fa-arrow-up"></i></button></div></div><div><script src="/js/utils.js"></script><script src="/js/main.js"></script><div class="js-pjax"></div><script defer="defer" id="fluttering_ribbon" mobile="true" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/dist/canvas-fluttering-ribbon.min.js"></script><script async data-pjax src="//busuanzi.ibruce.info/busuanzi/2.3/busuanzi.pure.mini.js"></script></div></body></html>